using LitJson;

namespace Wizard;

public class StoryNotification
{
	public bool IsDisplayRibbon { get; private set; }

	public bool IsDisplayBadge { get; private set; }

	public void SetStoryNotification(JsonData data)
	{
		JsonData data2 = data["data"]["story_notification"];
		IsDisplayRibbon = data2.GetValueOrDefault("is_display_ribbon", defaultValue: false);
		IsDisplayBadge = data2.GetValueOrDefault("is_display_badge", defaultValue: false);
	}

	public void SetIsDisplayBadge(JsonData data)
	{
		IsDisplayBadge = data.GetValueOrDefault("is_display_badge", defaultValue: false);
	}

	public void TurnOffIsDisplayBadge()
	{
		IsDisplayBadge = false;
	}
}
